Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore
Interface Annotated

All Known Subinterfaces:
  IObject, IPC.InputMessage, IThing, IXObject, ProcessModelManager

All Known Implementing Classes:
  AbstractAnnotatedObject, AbstractIObject, AbstractIXObject, AbstractPlanItem, AbstractPMM, AbstractRefinement, Activity, ChatMessage, Constrainer, Constraint, ContextAnnotatedObject, Domain, IConcept, Ip2ModelManager, IPC.BasicInputMessage, IPlanModelManager, IPlanOptionManager.PseudoMessage, IPlanOptionManager.ReportMessage, IPlanOptionManager.SyncMessage, IRelation, ISource, Issue, IValue, ObjectClass, Ordering, Plan, PlanIssue, PlanIssueRefinement, PlanNode, PlanObject, PlanRefinement, PlanVariable, PlanVariableDeclaration, Refinement, Report, SyncStateClient.ChangeMessage, SyncStateClient.DeleteMessage, TaskItem, UIDomain, UIObjectClass, VariableDeclaration, WaitForReportsActivity

    public interface Annotated

Objects that have annotations.

Method Summary
`void` | `addAnnotationListener(AnnotationListener listener)`
`void` | `clearAnnotations()`
`void` | `fireSetAnnotation(java.lang.Object key, java.lang.Object value)`
`java.lang.Object` | `getAnnotation(java.lang.Object key)`
`Annotations` | `getAnnotations()`
`void` | `removeAnnotation(java.lang.Object key)`
`void` | `setAnnotation(java.lang.Object key, java.lang.Object value)`
`void` | `setAnnotations(Annotations annotations)`
`void` | `takeAnnotations(java.util.Map map)`

Method Detail

### getAnnotations

    Annotations getAnnotations()

### setAnnotations

    void setAnnotations(Annotations annotations)

### getAnnotation

    java.lang.Object getAnnotation(java.lang.Object key)

### setAnnotation

    void setAnnotation(java.lang.Object key,
                       java.lang.Object value)

### removeAnnotation

    void removeAnnotation(java.lang.Object key)

### clearAnnotations

    void clearAnnotations()

### takeAnnotations

    void takeAnnotations(java.util.Map map)

### addAnnotationListener

    void addAnnotationListener(AnnotationListener listener)

### fireSetAnnotation

    void fireSetAnnotation(java.lang.Object key,
                           java.lang.Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD